function gui_remove_name(handle_in,name,delim,where,varargin)
%
% Removes a common name to special values defined by properties
%
% handle_in:  vector of handles or structure of handles
% name:       name to be added
% delim:      delimiter for separation
% where:      can be 'begin' or 'end'
%
% properties can be given as list of strings or as fieldnames of a structure
%
% Author:  Winfried Kernbichler
% Version: 1.0 
% Date:    October 17, 2001
% Status:  Workes very well in all tests at the moment
% Missing: Check of input

% convert structur to vector for easy use
if isstruct(handle_in)
  hin = gui_handle_convert(handle_in);
else
  hin = handle_in;
end

% create cells of properrties and values
if length(varargin)==1 & isstruct(varargin{1})
  S = varargin{1};
  props = fieldnames(S);
else
  props = varargin(1:end);
end

for k = 1:length(props) % cycle through properties
  prop = props{k};
  for l = 1:length(hin) % cycle through handles
    val=get(hin(l),prop);
    switch lower(where(1))
      case 'b'
	val = strrep(val,[name,delim],'');
	set(hin(l),prop,val);
      case 'e'
	val = strrep(val,[delim,name],'');
 	set(hin(l),prop,val);
     end
  end
end
