function intervall_points = temp_int_point()
  % Berechnet die zulaessige Punkteanzahl im inneren des vorgegebenen
  % Gebietes zu einer vorgegebenen 
  % und ermittelt daraus die Gitterkonstante h. 
  % ------------------------------------------------------------------
  % Eingabeparameter:
  % -----------------
  % - punkte_anz...integer Wert zw. 12 und 1500 aus 'edit' oder 'slider'
  %                'uicontrol'
  % Ausgabeparameter:
  % -----------------
  % - intervall_points...2_dim. Feld:
  %                      1. Spalte: Anzahl der ganzen Intervalle entlang der x-Achse
  %                                 des Halbkreises (integer)
  %                      2. Spalte: Anzahl der inner Punkte, die sich aus
  %                                 der 1. Spalte ergeben
  % -------------------------------------------------------------------
    
    
    
R = 4;
n=0;
points=zeros(length(5:50),2);   % allozieren
% Schleife zur Bestimmung der von 'int_anz' bei gegebener Punktanzahl
% (bis 50 Intervalle entlang der x-Achse!
for int_anz=5:50;
  n=n+1;
  h = 2*R/int_anz;
  
  x = -R:h:R;
  y = R:-h:-R;
  [X,Y] = meshgrid(x,y);

  % Koordinaten der inneren Punkte

  G1 = ( (R > sqrt(X.^2+Y.^2)) & (Y > 0) );
  G2 = ( (X > 0) & (X < R) & (Y <= 0) & (Y > -R) );
  G = G1 + G2;
  index_in=find(G);    % Index der inneren Punkte
  
  points(n,1) = int_anz;              % zugehoerige Intervallanzahl
  points(n,2) = length(index_in);     % entspricht der Anzahl der inneren Punkte
end

intervall_points = points;
